Update multiple Workspaces.

PUT /users/workspaces

Operation id: WorkspaceService_UpdateWorkspaces

Description

Permission Level: Read-Write

Tags: WorkspaceService

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
workspacesarrayNo
rollbackbooleanNo
{
  "type": "object",
  "properties": {
    "workspaces": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "workspaceName": {
            "type": "string"
          },
          "workspaceType": {
            "type": "string"
          },
          "tenantId": {
            "type": "string"
          },
          "newParent": {
            "type": "string"
          },
          "displayName": {
            "type": "string"
          },
          "attributesWrapper": {
            "type": "object",
            "properties": {
              "workspaceAttributes": {
                "type": "array",
                "items": {
                  "type": "object"
                }
              }
            }
          },
          "updateScopeOption": {
            "type": "object",
            "properties": {
              "scopes": {
                "type": "object"
              },
              "autoRemoveUsers": {
                "type": "boolean"
              }
            }
          },
          "updateFieldMask": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "expiration": {
            "type": "object"
          }
        }
      }
    },
    "rollback": {
      "type": "boolean"
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

{
  "type": "object",
  "properties": {}
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}